Bug 202006 - Review Request: fmio - FM radio card manipulation utility
Review Request: fmio - FM radio card manipulation utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-10 06:39 EDT by Andy Shevchenko
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 11:12:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2006-08-10 06:39:40 EDT
Spec URL: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/fmio.spec
SRPM URL: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/fmio-2.0.8-2.src.rpm
Description:
The fmio is a small program to set and change fm radio card parameters.
It sets frequency, volume of the card, reports signal strength on the
working frequency and can set the radio card output to mono (if the card
driver supports it).
Comment 1 Michael Schwendt 2006-08-13 09:09:12 EDT
* error: Installed (but unpackaged) file(s) found:
   /usr/bin/fmio-wrapper.pyc
   /usr/bin/fmio-wrapper.pyo

* Run "rpmlint" on the binary rpms.

* The setuid program is unacceptable.

* Sub-packages ought to require full %{version}-%{release} of the main
packages to stay in sync with them (in particular since the shared lib
does not have a proper soname).

* %defattr missing for all packages.

* Couldn't get any good results with or without the "bktr" driver,
so I think this software is not ready yet.
Comment 2 Andy Shevchenko 2006-08-14 10:56:24 EDT
I've partially fix all found issues.

* Sun Aug 13 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-3
- set defattr in files sections
- fix Requires tag in subpackages
- drop setuid attribute from certain binaries (README.fedora has been added)
- update fmio-gq-wrapper to 0.4.1
- satisfy rpmlint claim (use -fPIC for library)

Updated file here:
ftp://andriy.asplinux.com.ua/pub/people/andy/extras/fmio-2.0.8-3.src.rpm

About python files. I try to build on FC4 distribution and have no problem with 
a single python file. I'll try to rebuild it on fc6 and fix if it's needed.

Additional words for usage. I've sf-64pcr3 fm card. I try to use the 'sfr64' as 
native fmio's driver as well as 'v4l' as kernel driver. Both are work correctly.
'bktr' is only for *BSD systems.

I've written README.fedora with several words.
Comment 3 John Mahowald 2006-08-18 12:37:47 EDT
Build still fails with 

error: Installed (but unpackaged) file(s) found:
   /usr/bin/fmio-wrapper.pyc
   /usr/bin/fmio-wrapper.pyo
Comment 4 Jason Tibbitts 2006-08-18 15:58:11 EDT
Note that FC5 and later will compile every single .py file in existence (which
is a bug) and it will do that at the very end of the rpmbuild run so that you
can't delete the extraneous files.  So you need to have this in %files:

%exclude %{_bindir}/fmio-wrapper.py[co]

If you want to target FC4 and earlier or you want to continue to build if this
bug gets fixed, you'll also need to do this in %install:

touch %{buildroot}/%{_bindir}/fmio-wrapper.pyc
touch %{buildroot}/%{_bindir}/fmio-wrapper.pyo
Comment 5 Andy Shevchenko 2006-08-19 03:13:16 EDT
I've fixed python issue.

Updated file here:
ftp://andriy.asplinux.com.ua/pub/people/andy/extras/fmio-2.0.8-4.src.rpm
Comment 6 Kevin Fenzi 2006-09-02 13:54:09 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (BSD)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
3eb91258db51e7ab78e2d4a8c2c31037  fmio-2.0.8.tar.gz
3eb91258db51e7ab78e2d4a8c2c31037  fmio-2.0.8.tar.gz.1
fe74b5965f6a27b1d91d481705a926d0  fmio-gq-wrapper.py
fe74b5965f6a27b1d91d481705a926d0  fmio-gq-wrapper.py.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec has needed ldconfig in post and postun
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Headers/static libs in -devel subpackage.
See below - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.
SHOULD Items:
See below - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. Might see if the upstream could include a copy of the license
with the package (although development seems pretty stalled).
Any chance of upstream taking any of your patches and doing a new
release?

2. You use %makeinstall, can you change to
make install DESTDIR=%{buildroot}
See:
http://www.fedoraproject.org/wiki/Packaging/Guidelines#head-
fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002

3. rpmlint says:
W: fmio unstripped-binary-or-object /usr/lib/libradio.so
Permissions are wrong on that file. It's 644, but should be
755?
W: fmio no-soname /usr/lib/libradio.so
This would be good to fix, but might be a pretty big patch.
W: fmio strange-permission fmio-gq-wrapper.py 0755
This can probibly be ignored.
W: fmio mixed-use-of-spaces-and-tabs
This would be good to fix. Use either spaces or tabs in the spec.
W: fmio-devel no-documentation
Can be ignored.
W: fmio-wmfmio non-conffile-in-etc /etc/wmfmiorc
Should mark that file as %config ?
Comment 7 Andy Shevchenko 2006-09-03 00:40:54 EDT
* Sat Sep 02 2006 Andy Shevchenko <andriy@asplinux.com.ua> 2.0.8-5
- mark wmfmiorc as config
- install libradio.so with executable permissions
- do not use makeinstall macro
- catch up license from fmio.c

Updated file here:
ftp://andriy.asplinux.com.ua/pub/people/andy/extras/fmio-2.0.8-5.src.rpm

P.S. I've sent mail to mainstream about patches and separate License file.
Comment 8 Andy Shevchenko 2006-09-05 05:28:16 EDT
Some cites from mailings mainstream vs. me.

Date: Mon, 4 Sep 2006 10:19:32 +0400 (MSD)
From: "Vladimir Popov" <jumbo@narod.ru>
Sender: jumbo@narod.ru
Message-Id: <44FBC574.000008.14011@mfront8.yandex.ru>
To: andy@asplinux.com.ua
Subject: Re: fmio vs. contribution and licensing

...

> Can you put Licence file to the site or/and in tarball?
You can generate the license file during the build process, see utils/
license.sh.

...

> And similar question about my patches.
I'm afraid there will be no future releases. fmio does anything it can on boxes
with a single card. I have some ideas but can't test them. So no future 
releases.

Comment 9 Andy Shevchenko 2006-09-05 05:47:40 EDT
Generate LICENSE file on the fly as mainstream advise.

Updated file here:
ftp://andriy.asplinux.com.ua/pub/people/andy/extras/fmio-2.0.8-6.src.rpm
Comment 10 Kevin Fenzi 2006-09-05 14:10:18 EDT
All those changes look ok. 

1. The new version doesn't build under mock however:

+ install -p -m 644 '%{SOURCE3}' LICENSE
install: cannot stat `%{SOURCE3}': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.2437 (%install)

Looks like you have a old 'install -p -m 644 '%{SOURCE3}' LICENSE' in there 
from before you were generating the license via the license.sh script. 

2. I'm not seeing the libfmio.so be installed with execute perms still:
W: fmio unstripped-binary-or-object /usr/lib/libradio.so

3. Also in the build log: 
groff -Tascii -mandoc wmfmio.1 > wmfmio.0
/bin/sh: groff: command not found

Perhaps a "BuildRequires: groff" missing?
Comment 11 Andy Shevchenko 2006-09-06 09:18:29 EDT
2. Permissions are OK
[andy@andriy ~]$ rpm -qlvp /home/andy/RPM/RPMS/i386/fmio-2.0.8-7.i386.rpm | 
grep so$
-rwxr-xr-x    1 root    root           173559 Вер  6 16:21 /usr/lib/libradio.so

But warning is present. I've investigate this and found rpm isn't called the 
any strip wrapper on the library. I haven't any ideas about this.
My guess this is not an error and not showstopper warning.

Updated file here:
ftp://andriy.asplinux.com.ua/pub/people/andy/extras/fmio-2.0.8-7.src.rpm
Comment 12 Kevin Fenzi 2006-09-06 19:01:30 EDT
My mistake. I had an old copy of one of your patches that I used in my mock 
build. ;( 

So, on a clean setup with the 2.0.8-7 version I now get from rpmlint: 

W: fmio no-soname /usr/lib/libradio.so
W: fmio strange-permission fmio-gq-wrapper.py 0755
W: fmio-devel no-documentation

So, I think thats fixed all the blockers I see... 
This package is APPROVED. 

Don't forget to close this bug with NEXTRELEASE once it's been imported and 
built. 

Comment 13 Andy Shevchenko 2006-09-08 11:12:03 EDT
Thanks for review.

Note You need to log in before you can comment on or make changes to this bug.